<!DOCTYPE html>
<html lang="cs">
  <head>
    <meta charset='UTF-8'>
    <meta name="author" content="Benjamin Verner">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="styles.css">
    <title>
    Závěr
    </title>
  </head>
  <body>
    <ul>
      <li class="menu"><a href="index.html">Úvod</a></li>
      <li class="menu"><a href="solver.html">SAT Solver</a></li>
      <li class="submenu">
        <a class="submenu-button">Konkrétní problémy</a>
        <div class="submenu-elements">
          <a href="pozorovani.html">Pozorování</a>
          <a href="sudoku.html">Sudoku</a>
          <a href="abc.html">Easy as ABC</a>
          <a href="logik.html">Logik</a>
          <a href="slitherlink.html">Slitherlink</a>
        </div>
      </li>
      <li class="menu"><a href="dokumentace.html">Technická dokumentace</a></li>
      <li class="menu"><a href="zaver.html">Závěr</a></li>
       <li class="menu"><a href="citace.html">Citace</a></li>
    </ul>
    <article>
      <h2 id="title">Závěr</h2>
      <p>Program je ve finálním stavu, dokáže bezchybně řešit všechny zadané problémy. Celkový čas se hodně odvíjí od velikosti zadaného problému, pro relativně malé velikosti už není algoritmus schopen dát v reálném čase výsledek. To je ale způsobeno tím, že řešení SAT formulí je algoritmus třídy NP, není to tedy dáno nešikovností implementace. Jednotlivé problémy by samozřejmě šly řešit daleko rychleji, ale za cenu ztráty univerzálnosti, tedy pro každý problém by byl potřeba separátní algoritmus. Také by se docílilo zrychlení volbou jiného programovacího jazyka, ale Python je logickou volbou kvůli jeho relevanci v prvním semestru.</p>
    </article>
  </body>
</html>
